/**
 * @author luc
 */
package net.urlrewriter.actions;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public class AddHeaderAction implements IRewriteAction {

	private String mHeader;
	private String mValue;
	/**
	 * 
	 */
	public AddHeaderAction(String pHeader, String pValue) {
		super();
		mHeader = pHeader;
		mValue = pValue;
	}
	
	/**
	 * @return Returns the header.
	 */
	public String getHeader() {
		return mHeader;
	}

	/**
	 * @return Returns the value.
	 */
	public String getValue() {
		return mValue;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.actions.IRewriteAction#execute(net.urlrewriter.RewriteContext)
	 */
	public RewriteProcessing execute(RewriteContext pContext) throws RewriteException {
		pContext.getHeaders().add(mHeader, mValue);
		return RewriteProcessing.ContinueProcessing;
	}

}
