/**
 * @author luc
 */
package net.urlrewriter.actions;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public interface IRewriteAction {

	/**
	 * Executes the action.
	 * Note that it is important to set the correct properties on the context
	 * (e.g., StatusCode, Location), rather than directly implementing the action
	 * (e.g., RewritePath).  This allows for the correct pipeline processing of
	 * all the specified rules.
	 * @param pContext The context to execute the action on.
	 * @return how the rewriter should continue processing after this action has executed.
	 */
	RewriteProcessing execute(RewriteContext pContext) throws RewriteException;

}
