/**
 * @author luc
 */
package net.urlrewriter.actions;

import javax.servlet.http.Cookie;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public class SetCookieAction implements IRewriteAction {

	private String mCookieName;
	private String mCookieValue;
	
	/**
	 * 
	 */
	public SetCookieAction(String pCookieName, String pCookieValue) {
		super();
		mCookieName = pCookieName;
		mCookieValue = pCookieValue;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.actions.IRewriteAction#execute(net.urlrewriter.RewriteContext)
	 */
	public RewriteProcessing execute(RewriteContext pContext) throws RewriteException {
		Cookie oCookie = new Cookie(mCookieName, mCookieValue);
		pContext.getCookies().add(oCookie);
		return RewriteProcessing.ContinueProcessing;
	}

	/**
	 * @return Returns the cookieName.
	 */
	public String getCookieName() {
		return mCookieName;
	}

	/**
	 * @param pCookieName The cookieName to set.
	 */
	public void setCookieName(String pCookieName) {
		mCookieName = pCookieName;
	}

	/**
	 * @return Returns the cookieValue.
	 */
	public String getCookieValue() {
		return mCookieValue;
	}

	/**
	 * @param pCookieValue The cookieValue to set.
	 */
	public void setCookieValue(String pCookieValue) {
		mCookieValue = pCookieValue;
	}

}
