/**
 * @author luc
 */
package net.urlrewriter.actions;

import java.io.IOException;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public class SetLocationAction implements IRewriteAction {

	private String mLocation;
	
	/**
	 * 
	 */
	public SetLocationAction(String pLocation) {
		super();
		mLocation = pLocation;
	}

	/**
	 * @return Returns the location.
	 */
	public String getLocation() {
		return mLocation;
	}

	/**
	 * @param pLocation The location to set.
	 */
	public void setLocation(String pLocation) {
		mLocation = pLocation;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.actions.IRewriteAction#execute(net.urlrewriter.RewriteContext)
	 */
	public RewriteProcessing execute(RewriteContext pContext) throws RewriteException {
		try {
			pContext.setLocation(pContext.resolveLocation(pContext.expand(mLocation)));
		} catch (IOException e) {
			throw new RewriteException("Error setting location.", e);
		}
		return RewriteProcessing.ContinueProcessing;
	}

}
