/**
 * @author luc
 */
package net.urlrewriter.actions;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public class SetPropertyAction implements IRewriteAction {

	private String mName;
	private String mValue;
	
	/**
	 * 
	 */
	public SetPropertyAction(String pName, String pValue) {
		mName = pName;
		mValue = pValue;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.actions.IRewriteAction#execute(net.urlrewriter.RewriteContext)
	 */
	public RewriteProcessing execute(RewriteContext pContext) throws RewriteException {
		pContext.getProperties().set(mName, mValue);
		return RewriteProcessing.ContinueProcessing;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param pName The name to set.
	 */
	public void setName(String pName) {
		mName = pName;
	}

	/**
	 * @return Returns the value.
	 */
	public String getValue() {
		return mValue;
	}

	/**
	 * @param pValue The value to set.
	 */
	public void setValue(String pValue) {
		mValue = pValue;
	}

}
