/**
 * @author luc
 */
package net.urlrewriter.actions;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.RewriteException;
import net.urlrewriter.RewriteProcessing;

/**
 * @author luc
 *
 */
public class SetStatusAction implements IRewriteAction {

	private int mStatusCode;
	
	/**
	 * 
	 */
	public SetStatusAction(int pStatusCode) {
		super();
		mStatusCode = pStatusCode;
	}

	/**
	 * @return Returns the statusCode.
	 */
	public int getStatusCode() {
		return mStatusCode;
	}

	/**
	 * @param pStatusCode The statusCode to set.
	 */
	public void setStatusCode(int pStatusCode) {
		mStatusCode = pStatusCode;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.actions.IRewriteAction#execute(net.urlrewriter.RewriteContext)
	 */
	public RewriteProcessing execute(RewriteContext pContext) throws RewriteException {
		pContext.setHttpStatusCode(mStatusCode);
		if (mStatusCode >= 300) {
			return RewriteProcessing.StopProcessing;
		} else {
			return RewriteProcessing.ContinueProcessing;
		}
	}

}
