/**
 * @author luc
 */
package net.urlrewriter.conditions;

import java.net.InetAddress;
import java.net.UnknownHostException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import net.urlrewriter.RewriteContext;
import net.urlrewriter.utilities.Constants;
import net.urlrewriter.utilities.IPRange;

/**
 * @author luc
 *
 */
public class AddressCondition implements IRewriteCondition {

	private IPRange mRange;
	private Log mLogger = LogFactory.getLog(AddressCondition.class);
	
	/**
	 * 
	 */
	public AddressCondition(String pPattern) {
		mRange = IPRange.parse(pPattern);
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.conditions.IRewriteCondition#isMatch(net.urlrewriter.RewriteContext)
	 */
	public boolean isMatch(RewriteContext pContext) {
		String oIPAddress = pContext.getProperties().get(Constants.HEADER_REMOTEADDR);
		try {
			if (oIPAddress != null) {
				return mRange.isInRange(InetAddress.getByName(oIPAddress));
			} else {
				return false;
			}
		} catch (UnknownHostException e) {
			mLogger.error("Error checking ipaddress \"" + oIPAddress + "\".", e);
		}
		return false;
	}

}
