/**
 * @author luc
 */
package net.urlrewriter.conditions;

import java.io.File;
import java.io.IOException;

import net.urlrewriter.RewriteContext;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @author luc
 *
 */
public class ExistsCondition implements IRewriteCondition {

	private String mLocation;
	private Log mLogger = LogFactory.getLog(ExistsCondition.class);
	
	/**
	 * 
	 */
	public ExistsCondition(String pLocation) {
		mLocation = pLocation;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.conditions.IRewriteCondition#isMatch(net.urlrewriter.RewriteContext)
	 */
	public boolean isMatch(RewriteContext pContext) {
		try {
			String oFilename = pContext.mapPath(pContext.expand(mLocation));
			boolean oExists = new File(oFilename).exists();
			if (mLogger.isDebugEnabled()) mLogger.debug("Checking if " + oFilename + " exists:" + oExists);
			return oExists;
		} catch (IOException e) {
			mLogger.error("Error checking location \"" + mLocation + "\" exists.", e);
		}
		return false;
	}

}
