/**
 * @author luc
 */
package net.urlrewriter.conditions;

import java.util.regex.Pattern;

import net.urlrewriter.RewriteContext;

/**
 * @author luc
 *
 */
public abstract class MatchCondition implements IRewriteCondition {

	private Pattern mPattern;
	private boolean mNegative = false;
	
	/**
	 * 
	 */
	public MatchCondition(String pPattern) {
		mPattern = Pattern.compile(pPattern, Pattern.CASE_INSENSITIVE);
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.conditions.IRewriteCondition#isMatch(net.urlrewriter.RewriteContext)
	 */
	public abstract boolean isMatch(RewriteContext pContext);

	/**
	 * @return Returns the negative.
	 */
	public boolean isNegative() {
		return mNegative;
	}

	/**
	 * @param pNegative The negative to set.
	 */
	public void setNegative(boolean pNegative) {
		mNegative = pNegative;
	}

	/**
	 * @return Returns the pattern.
	 */
	public Pattern getPattern() {
		return mPattern;
	}

	/**
	 * @param pPattern The pattern to set.
	 */
	public void setPattern(Pattern pPattern) {
		mPattern = pPattern;
	}

}
