/**
 * @author luc
 */
package net.urlrewriter.conditions;

import java.util.regex.Matcher;

import net.urlrewriter.RewriteContext;

/**
 * @author luc
 *
 */
public class MethodCondition extends MatchCondition {

	private static final String FORMAT_PATTERN = "^%1$s$";
	private static final String CLEANUP_PATTERN = "[^a-zA-Z,\\*]+";
	private static final String EMPTY = "";
	private static final String COMMA = ",";
	private static final String REGEX_OR = "|";
	private static final String WILDCARD = "\\*";
	private static final String ANYANDMORE = ".+";
	/**
	 * @param pPattern
	 */
	public MethodCondition(String pPattern) {
		super(getMethodPattern(pPattern));
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.conditions.MatchCondition#isMatch(net.urlrewriter.RewriteContext)
	 */
	@Override
	public boolean isMatch(RewriteContext pContext) {
		Matcher oMatcher = getPattern().matcher(pContext.getHttpMethod());
		if (oMatcher == null) return false;
		return oMatcher.matches();
	}
	
	private static String getMethodPattern(String pMethod) {
	 	// Convert the GET,  POST, *   to ^GET|POST|.+$
		return String.format(FORMAT_PATTERN, pMethod.replaceAll(CLEANUP_PATTERN, EMPTY).replaceAll(COMMA, REGEX_OR).replaceAll(WILDCARD, ANYANDMORE));
	}

}
