/**
 * @author luc
 */
package net.urlrewriter.configuration;

import java.util.ArrayList;
import java.util.Collection;

import net.urlrewriter.parsers.IRewriteConditionParser;

/**
 * @author luc
 *
 */
public class ConditionParserPipeline extends ArrayList<IRewriteConditionParser> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 846461970225121185L;

	/**
	 * @param pInitialCapacity
	 */
	public ConditionParserPipeline(int pInitialCapacity) {
		super(pInitialCapacity);
	}

	/**
	 * 
	 */
	public ConditionParserPipeline() {
		super();
	}

	/**
	 * @param pC
	 */
	public ConditionParserPipeline(
			Collection<? extends IRewriteConditionParser> pC) {
		super(pC);
	}
	
	public void add(String pClassName) throws ClassNotFoundException, InstantiationException, IllegalAccessException {
		Class oClass =  Class.forName(pClassName);
		IRewriteConditionParser oParser = (IRewriteConditionParser) oClass.newInstance();
		add(oParser);		
	}
	

}
