/**
 * @author luc
 */
package net.urlrewriter.configuration;

import java.io.StringWriter;

import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import net.urlrewriter.RewriteException;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class ConfigurationException extends RewriteException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6916020517831059872L;

	/**
	 * 
	 */
	public ConfigurationException() {
		super();
	}

	/**
	 * @param pMessage
	 */
	public ConfigurationException(String pMessage) {
		super(pMessage);
	}
	
	public ConfigurationException(String pMessage, Node pNode) {
		super(addContext(pMessage, pNode));
	}

	/**
	 * @param pMessage
	 * @param pCause
	 */
	public ConfigurationException(String pMessage, Throwable pCause) {
		super(pMessage, pCause);
	}

	/**
	 * @param pCause
	 */
	public ConfigurationException(Throwable pCause) {
		super(pCause);
	}
	
	private static String addContext(String pMessage, Node pNode) {
		TransformerFactory oFactory = TransformerFactory.newInstance();
		Transformer t;
		try {
			t = oFactory.newTransformer();
			t.setOutputProperty(OutputKeys.INDENT, "yes");
			StringWriter oSW = new StringWriter();
			t.transform(new DOMSource(pNode), new StreamResult(oSW));
			return pMessage + ". Context:\n" + oSW.toString();
		} catch (Exception e) {
			
		}
		return pMessage;
	}

}
