/**
 * @author luc
 */
package net.urlrewriter.configuration;

import java.util.Hashtable;
import java.util.Map;

import net.urlrewriter.transforms.IRewriteTransform;

/**
 * @author luc
 *
 */
public class TransformFactory {

	private Map<String, IRewriteTransform> mTransforms;
	/**
	 * 
	 */
	public TransformFactory() {
		super();
		mTransforms = new Hashtable<String, IRewriteTransform>();
	}
	
	public void addTransform(String pClassName) throws ClassNotFoundException, InstantiationException, IllegalAccessException {
		Class oClass =  Class.forName(pClassName);
		IRewriteTransform oTransform = (IRewriteTransform) oClass.newInstance();
		addTransform(oTransform);
	}
	
	public void addTransform(IRewriteTransform pTransform) {
		mTransforms.put(pTransform.getName(), pTransform);
	}
	
	public IRewriteTransform getTransform(String pName) {
		return mTransforms.get(pName);
	}

}
