/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.actions.AddHeaderAction;
import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class AddHeaderActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public AddHeaderActionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, java.lang.Object)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig) throws ConfigurationException {
		Node oHeaderNameNode = ParserHelper.getAttribute(pNode, Constants.ATTR_HEADER, true);
		Node oHeaderValueNode = ParserHelper.getAttribute(pNode, Constants.ATTR_VALUE, true);
		return new AddHeaderAction(oHeaderNameNode.getNodeValue(), oHeaderValueNode.getNodeValue());
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return Constants.ELEMENT_ADD;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
