/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.AddressCondition;
import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class AddressConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public AddressConditionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oAddressNode = pNode.getAttributes().getNamedItem(Constants.ATTR_ADDRESS);
		if (oAddressNode != null) {
			return new AddressCondition(oAddressNode.getNodeValue());
		}
		return null;
		
	}

}
