/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.ExistsCondition;
import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class ExistsConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public ExistsConditionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oExistsNode = pNode.getAttributes().getNamedItem(Constants.ATTR_EXISTS);
		if (oExistsNode != null) {
			return new ExistsCondition(oExistsNode.getNodeValue());
		}
		return null;
	}

}
