/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.conditions.PropertyMatchCondition;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class HeaderMatchConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public HeaderMatchConditionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oHeaderNode = pNode.getAttributes().getNamedItem(Constants.ATTR_HEADER);
		if (oHeaderNode == null) return null;
		String oHeaderName = oHeaderNode.getNodeValue();
		Node oMatchNode = ParserHelper.getAttribute(pNode, Constants.ATTR_MATCH, true);
		return new PropertyMatchCondition(oHeaderName, oMatchNode.getNodeValue());
	}

}
