/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.RedirectAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class IfRedirectActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public IfRedirectActionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		Node oRedirectNode = pNode.getAttributes().getNamedItem(Constants.ATTR_REDIRECT);
		if (oRedirectNode != null) {
			boolean oPermanent = true;
			Node oPermNode = pNode.getAttributes().getNamedItem(Constants.ATTR_PERMANENT);
			if (oPermNode != null) {
				oPermanent = Boolean.parseBoolean(oPermNode.getNodeValue());
			}
			return new RedirectAction(oRedirectNode.getNodeValue(), oPermanent);
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return String.format(Constants.ATTRIBUTEACTION, Constants.ELEMENT_IF, Constants.ELEMENT_REDIRECT);
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return true;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
