/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.RewriteProcessing;
import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.RewriteAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class IfRewriteActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public IfRewriteActionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		Node oRewriteNode = pNode.getAttributes().getNamedItem(Constants.ATTR_REWRITE);
		if (oRewriteNode == null) {
			Node oProcessingNode = pNode.getAttributes().getNamedItem(Constants.ATTR_PROCESSING);
			RewriteProcessing oProcessing = ParserHelper.parseProcessing(oProcessingNode, RewriteProcessing.ContinueProcessing);
			return new RewriteAction(oRewriteNode.getNodeValue(), oProcessing);
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return String.format(Constants.ATTRIBUTEACTION, Constants.ELEMENT_IF, Constants.ELEMENT_REWRITE);
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return true;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
