/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.conditions.MethodCondition;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class MethodConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public MethodConditionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oMethodNode = pNode.getAttributes().getNamedItem(Constants.ATTR_METHOD);
		if (oMethodNode != null) {
			return new MethodCondition(oMethodNode.getNodeValue());
		}
		return null;
	}

}
