/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.NotImplementedAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class NotImplementedActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public NotImplementedActionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		return new NotImplementedAction();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return Constants.ELEMENT_NOTIMPLEMENTED;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return false;
	}

}
