/**
 * @author luc
 */
package net.urlrewriter.parsers;

import org.w3c.dom.Node;

import net.urlrewriter.RewriteProcessing;
import net.urlrewriter.configuration.AttributeRequiredException;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;
import net.urlrewriter.utilities.Messages;

/**
 * @author luc
 *
 */
public class ParserHelper {

	/**
	 * 
	 */
	public ParserHelper() {
		super();
	}
	
	public static RewriteProcessing parseProcessing(Node pNode, RewriteProcessing pDefault) throws ConfigurationException {
		RewriteProcessing oResult = pDefault;
		if (pNode != null) {
			if (Constants.ATTRVALUE_RESTART.equalsIgnoreCase(pNode.getNodeValue())) {
				oResult = RewriteProcessing.RestartProcessing;
			} else if (Constants.ATTRVALUE_STOP.equalsIgnoreCase(pNode.getNodeValue())) {
				oResult = RewriteProcessing.StopProcessing;
			} else if (Constants.ATTRVALUE_CONTINUE.equalsIgnoreCase(pNode.getNodeValue())) {
				throw new ConfigurationException(String.format(Messages.VALUE_OF_PROCESSING_ATTRIBUTE, pNode.getNodeValue(), Constants.ATTRVALUE_CONTINUE, Constants.ATTRVALUE_RESTART, Constants.ATTRVALUE_STOP));
			}
		}
		return oResult;
	}
	
	public static Node getAttribute(Node pNode, String pName, boolean pRequired) throws ConfigurationException {
		if (pNode == null) {
			if (pRequired) {
				throw new ConfigurationException("Must specify node to get attribute \"" + pName + "\".");
			} else {
				return null;
			}
		}
		Node oResult = pNode.getAttributes().getNamedItem(pName);
		if (oResult == null && pRequired) {
			throw new AttributeRequiredException(pName, pNode);
		}
		return oResult;
	}

}
