/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.conditions.PropertyMatchCondition;
import net.urlrewriter.configuration.AttributeRequiredException;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class PropertyMatchConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public PropertyMatchConditionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oPropertyNode = pNode.getAttributes().getNamedItem(Constants.ATTR_PROPERTY);
		if (oPropertyNode != null) {
			String oPropName = oPropertyNode.getNodeValue();
			
			Node oMatchNode = pNode.getAttributes().getNamedItem(Constants.ATTR_MATCH);
			if (oMatchNode != null) {
				return new PropertyMatchCondition(oPropName, oMatchNode.getNodeValue());
			} else {
				throw new AttributeRequiredException(Constants.ATTR_MATCH, pNode);
			}
		}
		return null;
	}

}
