/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.RedirectAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class RedirectActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public RedirectActionParser() {
		super();
		// TODO Auto-generated constructor stub
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		Node oToNode = ParserHelper.getAttribute(pNode, Constants.ATTR_TO, true);
		
		boolean oPermanent = true;
		Node oPermanentNode = pNode.getAttributes().getNamedItem(Constants.ATTR_PERMANENT);
		if (oPermanentNode != null) {
			oPermanent = Boolean.parseBoolean(oPermanentNode.getNodeValue());
		}
		RedirectAction oAction = new RedirectAction(oToNode.getNodeValue(), oPermanent);
		parseConditions(pNode, oAction.getConditions(), false, pConfig);
		return oAction;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return Constants.ELEMENT_REDIRECT;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
