/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.RewriteProcessing;
import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.RewriteAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class RewriteActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public RewriteActionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		Node oToNode = ParserHelper.getAttribute(pNode, Constants.ATTR_TO, true);
		Node oProcessingNode = pNode.getAttributes().getNamedItem(Constants.ATTR_PROCESSING);
		RewriteProcessing oProcessing = ParserHelper.parseProcessing(oProcessingNode, RewriteProcessing.ContinueProcessing);
		RewriteAction oAction = new RewriteAction(oToNode.getNodeValue(), oProcessing);
		parseConditions(pNode, oAction.getConditions(), false, pConfig);
		return oAction;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return Constants.ELEMENT_REWRITE;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
