/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.actions.IRewriteAction;
import net.urlrewriter.actions.SetCookieAction;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.configuration.RewriterConfiguration;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class SetCookieActionParser extends RewriteActionParserBase {

	/**
	 * 
	 */
	public SetCookieActionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#parse(org.w3c.dom.Node, net.urlrewriter.configuration.RewriterConfiguration)
	 */
	@Override
	public IRewriteAction parse(Node pNode, RewriterConfiguration pConfig)
			throws ConfigurationException {
		Node oCookieNameNode = pNode.getAttributes().getNamedItem(Constants.ATTR_COOKIE);
		if (oCookieNameNode == null) {
			//throw new ConfigurationException(String.format(Messages.ATTRIBUTE_REQUIRED, Constants.ATTR_COOKIE));
			// other parser might do something like SetPropertyActionParser
			return null;
		}
		Node oCookieValueNode = ParserHelper.getAttribute(pNode, Constants.ATTR_VALUE, true);
		return new SetCookieAction(oCookieNameNode.getNodeValue(), oCookieValueNode.getNodeValue());
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getName()
	 */
	@Override
	public String getName() {
		return Constants.ELEMENT_SET;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowNestedActions()
	 */
	@Override
	public boolean getAllowNestedActions() {
		return false;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.RewriteActionParserBase#getAllowAttributes()
	 */
	@Override
	public boolean getAllowAttributes() {
		return true;
	}

}
