/**
 * @author luc
 */
package net.urlrewriter.parsers;

import net.urlrewriter.conditions.IRewriteCondition;
import net.urlrewriter.conditions.UrlMatchCondition;
import net.urlrewriter.configuration.ConfigurationException;
import net.urlrewriter.utilities.Constants;

import org.w3c.dom.Node;

/**
 * @author luc
 *
 */
public class UrlMatchConditionParser implements IRewriteConditionParser {

	/**
	 * 
	 */
	public UrlMatchConditionParser() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.parsers.IRewriteConditionParser#parse(org.w3c.dom.Node)
	 */
	public IRewriteCondition parse(Node pNode) throws ConfigurationException {
		Node oMatchNode = pNode.getAttributes().getNamedItem(Constants.ATTR_URL);
		if (oMatchNode != null) {
			return new UrlMatchCondition(oMatchNode.getNodeValue());
		}
		return null;
	}

}
