/**
 * @author luc
 */
package net.urlrewriter.transforms;

import net.urlrewriter.utilities.Constants;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @author luc
 *
 */
public class Base64DecodeTransform implements IRewriteTransform {

	private Log mLogger = LogFactory.getLog(Base64DecodeTransform.class);
	
	/**
	 * 
	 */
	public Base64DecodeTransform() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.transforms.IRewriteTransform#applyTransform(java.lang.String)
	 */
	public String applyTransform(String pInput) {
		String oResult = null;
		byte[] oBase64 = Base64.decodeBase64(pInput.getBytes());
		try {
			 oResult = new String(oBase64, "UTF-8");
		} catch (Exception e) {
			mLogger.warn("Encoding might not be supported.", e);
			try {
				oResult = new String(oBase64);
			} catch (Exception f) {
				mLogger.fatal("Couldn't decode Base64 input to string.", f);
			}
		}
		return oResult;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.transforms.IRewriteTransform#getName()
	 */
	public String getName() {
		return Constants.TRANSFORM_BASE64DECODE;
	}

}
