/**
 * @author luc
 */
package net.urlrewriter.transforms;

import java.net.URLDecoder;

import net.urlrewriter.utilities.Constants;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


/**
 * @author luc
 *
 */
public class DecodeTransform implements IRewriteTransform {
	
	private Log mLogger = LogFactory.getLog(DecodeTransform.class);

	/**
	 * 
	 */
	public DecodeTransform() {
		super();
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.transforms.IRewriteTransform#applyTransform(java.lang.String)
	 */
	public String applyTransform(String pInput) {
		try {
			return URLDecoder.decode(pInput, "UTF-8");
		} catch (Exception e) {
			mLogger.fatal("Encoding not supported.", e);
		}
		return pInput;
	}

	/* (non-Javadoc)
	 * @see net.urlrewriter.transforms.IRewriteTransform#getName()
	 */
	public String getName() {
		return Constants.TRANSFORM_DECODE;
	}

}
