/**
 * @author luc
 */
package net.urlrewriter.utilities;

import java.net.URI;

import javax.servlet.http.Cookie;

import net.urlrewriter.errors.IRewriteErrorHandler;

/**
 * @author luc
 *
 */
public interface IContextFacade {

	String getApplicationPath();
	
	String getRawUrl();
	
	URI getRequestUrl();
	
	String mapPath(String pUrl);
	
	void setStatusCode(int pCode);
	
	void rewritePath(String pUrl);
	
	void setRedirectLocation(String pUrl);
	
	void appendHeader(String pName, String pValue);
	
	void appendCookie(Cookie pCookie);
	
	void handleError(IRewriteErrorHandler pHandler);
	
	void setItem(String pKey, Object pItem);

	Object getItem(String pKey);

	String getHttpMethod();

	NameValueCollection getServerVariables();

	NameValueCollection getHeaders();

	Cookie[] getCookies();
}
